Warehouses API
List Warehouses
GET /api/v1/manager-core/warehouses
Get all warehouses.
Create Warehouse
POST /api/v1/manager-core/warehouses
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| name | string | Yes | max:255, min:1, unique:warehouses,name |
| type | integer | Yes | in:1,2,3 |
| company_id | string | Yes | max:255, min:1 |
| country_id | string | Yes | max:255, min:1 |
Get Warehouse
GET /api/v1/manager-core/warehouses/{id}
Update Warehouse
PUT /api/v1/manager-core/warehouses/{id}
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| name | string | Yes | max:255, min:1 |
| country_id | string | Yes | max:255, min:1 |
| type | integer | No | in:1,2,3 |
| shop | object | No | array |
Delete Warehouse
DELETE /api/v1/manager-core/warehouses/{id}
Parameters:
id(path) - Warehouse ID
Warehouse Map
Get Map
GET /api/v1/manager-core/warehouses/{id}/map
Parameters:
id(path) - Warehouse ID
Save Map
POST /api/v1/manager-core/warehouses/{id}/map
Parameters:
id(path) - Warehouse ID
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| layout | object | Yes | Map layout data |
Set Slot Size
POST /api/v1/manager-core/warehouses/map/slot-size
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| width | number | Yes | Slot width |
| height | number | Yes | Slot height |
Get Row
GET /api/v1/manager-core/warehouses/{id}/map/row/{rowId}
Parameters:
id(path) - Warehouse IDrowId(path) - Row ID
Unallocated Inventory
GET /api/v1/manager-core/warehouses/{id}/map/unallocated-inventory
Parameters:
id(path) - Warehouse ID
Warehouse Barcode
GET /api/v1/manager-core/warehouses/barcode/{warehouse}
Parameters:
warehouse(path) - Warehouse ID
Warehouse Stock Export
GET /api/v1/manager-core/warehouses/stock/{warehouse}/{currency}/{products}-{materials}/xlsx
Parameters:
warehouse(path) - Warehouse IDcurrency(path) - Currency codeproducts(path) - Include products (0 or 1)materials(path) - Include materials (0 or 1)
Income Management
List Incomes
GET /api/v1/manager-core/warehouses/income
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | No | exists:warehouses,id |
| warehouse_from | integer | No | exists:warehouses,id |
| from | date | No | - |
| to | date | No | - |
| type | array | No | - |
| partners | array | No | - |
| categories | array | No | - |
| status | array | No | - |
| characteristics | array | No | - |
List Manual Incomes
GET /api/v1/manager-core/warehouses/income/manual
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | No | exists:warehouses,id |
| from | date | No | - |
| to | date | No | - |
| type | array | No | - |
| partners | array | No | - |
| categories | array | No | - |
| status | array | No | - |
| characteristics | array | No | - |
Search Income
POST /api/v1/manager-core/warehouses/income/search
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| type | string | Yes | - |
| status | string | Yes | - |
| warehouse_id | integer | No | - |
| warehouse_outcome_id | integer | No | - |
| partner_id | integer | No | - |
| outgoing_id | integer | No | - |
Get Income Details
GET /api/v1/manager-core/warehouses/income/{id}
Parameters:
id(path) - Income ID
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order | object | No | Sorting order |
Add Income
POST /api/v1/manager-core/warehouses/income
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse_id | integer | Yes | exists:warehouses,id |
| type | integer | Yes | in:2,4,5,6,9 |
| partner_id | integer | Conditional* | exists:crm_items,id (*required_if:type,2 or 5) |
| warehouse_outgoing_id | integer | Conditional* | exists:warehouses,id (*required_if:type,6) |
| income_id | integer | No | exists:warehouse_operations,id |
| multiple_delivery | boolean | No | - |
| items | array | Yes | array, min:1 |
| items.*.id | integer | Yes | exists:product_variants,id |
| items.*.quantity | number | Yes | numeric, gt:0 |
| items.*.description | string | No | - |
| items.*.slot_number | string | No | - |
| items.*.problem_category_id | integer | No | - |
Set Item to Packaging
POST /api/v1/manager-core/warehouses/income/{id}/packaging
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:items,id |
| quantity | integer | No | min:1, max:200, gte:0 |
| slot_number | string | No | - |
Close Item
POST /api/v1/manager-core/warehouses/income/{id}/close
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:items,id |
Collect All
POST /api/v1/manager-core/warehouses/income/{id}/collect-all
Cancel Income
POST /api/v1/manager-core/warehouses/income/cancel
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| rows | array | Yes | Array of income row IDs |
Delete Income
DELETE /api/v1/manager-core/warehouses/income
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| rows | array | Yes | Array of income row IDs |
Delete Income Items
DELETE /api/v1/manager-core/warehouses/income/{id}
Parameters:
id(path) - Income ID
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| rows | array | Yes | Array of item IDs |
Income Export
GET /api/v1/manager-core/warehouses/income/{id}/export/{exportType}
GET /api/v1/manager-core/warehouses/income/export/{exportType}
GET /api/v1/manager-core/warehouses/income/manual/export/{exportType}
Parameters:
exportType(path) - Export format: xlsx, xls, ods, pdf, csv
Outgoing Management
List Outgoing
GET /api/v1/manager-core/warehouses/outgoing
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | No | exists:warehouses,id |
| warehouse_to | integer | No | exists:warehouses,id |
| from | date | No | - |
| to | date | No | - |
| type | array | No | - |
| partners | array | No | - |
| categories | array | No | - |
| status | array | No | - |
| characteristics | array | No | - |
Get Outgoing Details
GET /api/v1/manager-core/warehouses/outgoing/{id}
Parameters:
id(path) - Outgoing ID
Add Outgoing
POST /api/v1/manager-core/warehouses/outgoing
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse_id | integer | Yes | exists:warehouses,id |
| type | integer | Yes | in:1,3,4,7,8 |
| warehouse_income_id | integer | Conditional* | exists:warehouses,id (*required_if:type,1) |
| partner_id | integer | Conditional* | exists:crm_items,id (*required_if:type,3) |
| items | array | Yes | array, min:1 |
| items.*.id | integer | Yes | exists:product_variants,id |
| items.*.quantity | number | Yes | numeric, gt:0 |
| items.*.description | string | No | - |
| items.*.slot_number | string | No | - |
| items.*.problem_category_id | integer | No | - |
Add Outgoing Item
POST /api/v1/manager-core/warehouses/outgoing/add-items
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | exists:warehouse_operations,id |
| items | array | Yes | array, min:1 |
| items.*.id | integer | Yes | exists:product_variants,id |
| items.*.quantity | number | Yes | numeric, gt:0 |
| items.*.description | string | No | - |
| items.*.slot_number | string | No | - |
| items.*.problem_category_id | integer | No | - |
Update Outgoing
POST /api/v1/manager-core/warehouses/outgoing/{id}
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| pretty_id | string | No | - |
| title | string | No | - |
| delivery_price | number | No | - |
| delivery_price_currency | string | No | - |
Change Quantity
POST /api/v1/manager-core/warehouses/outgoing/{id}/quantity
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:items,id |
| quantity | number | Yes | numeric, gt:0 |
Change Price
POST /api/v1/manager-core/warehouses/outgoing/{id}/price
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:items,id |
| amount | number | Yes | numeric, gt:0 |
| currency | string | Yes | exists:currencies,code |
Change Deadline
POST /api/v1/manager-core/warehouses/outgoing/{id}/deadline
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | No | exists:items,id |
| deadline_date | string | Yes | min:5, max:40 |
Change Partner
POST /api/v1/manager-core/warehouses/outgoing/{id}/partner
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| partner | integer | Yes | exists:crm_items,id |
Set to Package
POST /api/v1/manager-core/warehouses/outgoing/{id}/packaging
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:items,id |
| quantity | integer | No | min:1, max:200, gte:0 |
Generate Invoice
POST /api/v1/manager-core/warehouses/outgoing/{id}/invoice
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| payment_method | integer | No | - |
| currency | string | No | - |
Add Delivery Code
POST /api/v1/manager-core/warehouses/outgoing/{id}/delivery
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| tracking | string | No | string, min:3 |
| method | mixed | No | - |
| packages | integer | No | min:1 |
| courier | mixed | No | - |
| auto_delivery | boolean | No | - |
Set Active
POST /api/v1/manager-core/warehouses/outgoing/{id}/active
Set Finished
POST /api/v1/manager-core/warehouses/outgoing/{id}/finish
Set Started
POST /api/v1/manager-core/warehouses/outgoing/{id}/start-production
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| deadline_date | string | Conditional* | min:6, max:40 (*required_without_all:item_id,restart) |
| start_date | string | Conditional* | min:6, max:40 (*required_without_all:item_id,restart) |
| operation_deadline_date | string | No | min:6, max:40 |
| item_id | integer | Conditional* | (*required_without_all:deadline_date,restart) |
| restart | boolean | No | - |
| income_ids | array | No | - |
Set Material Setting
POST /api/v1/manager-core/warehouses/outgoing/{id}/materials
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:product_variants,id |
| no_need_to_send | boolean | No | - |
Outgoing Problems
List Problems
GET /api/v1/manager-core/warehouses/outgoing/problems
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | No | exists:warehouses,id |
| from | date | No | - |
| to | date | No | - |
| type | array | No | - |
| partners | array | No | - |
| characteristics | array | No | - |
| show_deleted | boolean | No | - |
Export Problems
GET /api/v1/manager-core/warehouses/outgoing/problems/export/{exportType}
Parameters:
exportType(path) - Export format: xlsx, xls, ods, pdf, csv
Inventory Shortage
GET /api/v1/manager-core/warehouses/outgoing/inventory-shortage
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | No | exists:warehouses,id |
Inventory Audit
Get Audits
GET /api/v1/manager-core/warehouses/outgoing/inventory-audit
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | Yes | exists:warehouses,id |
| archive | boolean | No | - |
Create Audit
POST /api/v1/manager-core/warehouses/outgoing/inventory-audit
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | Yes | exists:warehouses,id |
| type | integer | Yes | in:1,2,3,4 |
| quantity | number | Conditional* | gte:0 (*required_if:type,1) |
| categories | array | Conditional* | (*required_if:type,3) |
| slots | array | Conditional* | (*required_if:type,4) |
| users | array | No | - |
| planned_at | string | No | - |
Set Audit Item
POST /api/v1/manager-core/warehouses/outgoing/inventory-audit/{id}/set
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:items,id |
| quantity | number | No | - |
Finish Audit
POST /api/v1/manager-core/warehouses/outgoing/inventory-audit/{id}/finish
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:items,id |
Outgoing Export
GET /api/v1/manager-core/warehouses/outgoing/{id}/export/{exportType}
GET /api/v1/manager-core/warehouses/outgoing/export/{exportType}
Parameters:
exportType(path) - Export format: xlsx, xls, ods, pdf, csv